DECLARE @IUserName NVARCHAR(50)
SET @IUserName = N'sonam'

SELECT      Gp.GroupName FROM         dbo.tblUsers AS Usr INNER JOIN
                      dbo.tblGroups AS Gp ON Usr.IUserID = Gp.GroupCreatorID
GROUP BY Gp.GroupName, Usr.IUserName
HAVING      (Usr.IUserName = @IUserName)


